=== debian/changelog ===
debgpt (0.4.94) unstable; urgency=medium

  * Release v0.4.94. (Closes: #1060654)
    Find the full changelog at /usr/share/doc/debgpt/changelog-full.md.gz

 -- Mo Zhou <lumin@debian.org>  Fri, 12 Jan 2024 21:35:27 -0500

debgpt (0.4.93) unstable; urgency=medium

  * Release v0.4.93.

 -- Mo Zhou <lumin@debian.org>  Tue, 09 Jan 2024 12:00:36 -0500

debgpt (0.4.92) unstable; urgency=medium

  * Release v0.4.92.

 -- Mo Zhou <lumin@debian.org>  Mon, 08 Jan 2024 23:39:14 -0500

debgpt (0.4.90) unstable; urgency=medium

  * Initial release. (Closes: #1060113)

 -- Mo Zhou <lumin@debian.org>  Sun, 07 Jan 2024 12:09:53 -0500
