=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=debgpt

%:
	dh $@ --with python3 --buildsystem=pybuild

execute_after_dh_auto_build:
	$(MAKE) debgpt.1

override_dh_auto_test:
	true

execute_after_dh_auto_install:
	mkdir -p debian/debgpt/usr/share/doc/debgpt/
	install -m0644 CHANGELOG.md debian/debgpt/usr/share/doc/debgpt/changelog-full.md
