## debgpt 0.5.1

=== debian/changelog ===
debgpt (0.5.1) unstable; urgency=medium

  * Release v0.5.1
  * frontend: reorder vLLM API key argument definition in CLI
  * metadata: add PyPI classifiers to pyproject.toml
  * frontend: bugfix: inherit OpenAIFrontend instead
  * Apply autopep8 to all python files.
  * cli: refactor config template generation with helper function
  * cli: enhance fresh install detection with OpenAI base URL check
  * `defaults: update OpenAI model to gpt-4o`

 -- Mo Zhou <lumin@debian.org>  Wed, 16 Oct 2024 12:14:12 -0400

debgpt (0.5.0) unstable; urgency=medium

  * Release v0.5.0
    * Now we have a reasonable set of supported frontends:
      OpenAI, Ollama, Llamafile, vLLM, and ZMQ
      (excluding the dryrun frontend for debugging)
  * genconfig: fix toml grammar error.
  * defaults: be verbose on loading config and overriding configs
  * task: explicitly annotate debgpt usage for debgpt git commit
  * frontend: add support for vLLM service integration
  * frontend: use AbstractFrontend init directly instead of super()

 -- Mo Zhou <lumin@debian.org>  Wed, 16 Oct 2024 01:08:39 -0400

debgpt (0.4.95) unstable; urgency=medium

  * Release v0.4.95.
  * frontend: Skip console output during config template generation
  * Add llamafile frontend (alias to openai frontend)
  * Add ollama frontend (OpenAI-API compatibibility mode)
  * Add --monochrome to disable colorized outputs during conversation
    (Closes: #1061387)
  * cli: Provide a fresh-install guide (Closes: #1064469)

 -- Mo Zhou <lumin@debian.org>  Wed, 16 Oct 2024 00:25:38 -0400
