## debgpt 0.5.90

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,12 @@
 	pandoc -s README.md -t man > $@
 
 autopep8:
-	find debgpt -type f -name '*.py' -exec autopep8 -i '{}' \;
+	@echo autopep8 is deprecated, use yapf instead
+	#find debgpt -type f -name '*.py' -exec autopep8 -i '{}' \;
+	$(MAKE) yapf
+
+yapf:
+	find debgpt -type f -name '*.py' -exec yapf -i '{}' \;
 
 pytest:
 	PYTHONPATH=. pytest -v
