=== debian/changelog ===
debgpt (0.7) unstable; urgency=medium

  * Release v0.7 (DebGPT has gone through major refactoring)
    + AI is heavily used to help the development through DebGPT itself
      (including code generation, documentaiton generation, type annotations)
  * Major changes (including big changes to CLI usage):
    + relicense from MIT to LGPL-3.0+
    + reorganize codebase to make it more readable and maintainable
    * unified all readers into a unified read() function.
    * overhaul mapreduce code to make it faster, more efficient and robust
    + implemented the VectorDB, the EmbeddingModel, and the VectorRetriever.
      With those components, DebGPT will be able to do retrieval-augmented
      generation (RAG). But that feature is not yet implemented in CLI.
      + Supported embedding frontends: OpenAI, Google
    + add xAI frontend support.
  * For all changes please see CHANGELOG.md

 -- Mo Zhou <lumin@debian.org>  Sat, 09 Nov 2024 02:47:22 -0500

debgpt (0.6) UNRELEASED; urgency=medium

  * This release is not uploaded to Debian.
  * Major changes:
    + add inplace file editing support, with optional auto git commit
    + add a TUI configuration wizard for configurating debgpt
  * Minor changes:
    + updates to code and doc. Add project art generated by AI.

 -- Mo Zhou <lumin@debian.org>  Sat, 09 Nov 2024 02:35:53 -0500

debgpt (0.5.93) unstable; urgency=medium

  * v0.5.93 -- 2024-10-29
    + add google search support for context loading (--mapreduce|-x)
    * change `:sbuild` into `sbuild:` for mapreduce
    * change :policy and :devref into policy: and devref: for mapreduce
    * cli: enable markdown rendering by default
    * misc minor improvements.
    * Overhaul README with new examples and usage instructions.
  * v0.5.92 -- 2024-10-28
    + Add support for rendering LLM response markdown text with rich.
    + PDF file support is added for both `--pdf` and `--mapreduce` arguments.
    * misc minor updates and bugfixes.
  * v0.5.91 -- 2024-10-27
    + Add retry mechanism for rate limit exceeded errors.
    + mapreduce functionality now supports loading text from URLs.

 -- Mo Zhou <lumin@debian.org>  Tue, 29 Oct 2024 12:10:29 -0400
