=== debian/control ===
Source: debgpt
Section: python
Homepage: https://salsa.debian.org/deeplearning-team/debgpt
Priority: optional
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/deeplearning-team/debgpt.git
Vcs-Browser: https://salsa.debian.org/deeplearning-team/debgpt
Maintainer: Debian Deep Learning Team <debian-ai@lists.debian.org>
Uploaders: Mo Zhou <lumin@debian.org>
Build-Depends: debhelper-compat (= 13),
 dh-python,
 pybuild-plugin-pyproject,
 python3-all,
 python3-openai,
 python3-rich,
 python3-prompt-toolkit,
 python3-requests,
 python3-bs4,
 python3-tenacity,
 python3-pygments,
 pandoc,
 python3-pytest <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-pytest-xdist <!nocheck>,

Package: debgpt
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Recommends: python3-zmq, git, tldr, man-db,
Suggests: python3-torch | python3-torch-cuda | python3-torch-rocm,
          python3-transformers,
Description: General Purpose Terminal LLM Tool with Some Debian-Specific Design
 Large Language Models (LLMs) are capable of handling tasks that traditional
 software could never achieve or even imagine, such as writing/editing code
 based on user instruction. DebGPT is a light-weight (depend on as less Python
 libraries as possible) terminal tool designed for general daily usage of LLM
 in terminal, as well as exploring the possibility of leveraging LLMs to aid
 Debian development, in any extent.
 .
 With DebGPT, you can ask LLM to read a file, summarize a document, answer a
 question based on a long context, edit a file, generate a git commit message
 for staged files, as long as you can imagine and provide the necessary
 information for it.
 .
 Essentially, the idea of this tool is to gather information that might be
 relevant to the user instruction, including some Debian/Linux-specific
 knowledge, and combine them together in a prompt to be sent to LLM.
 .
 The information sources supported by this tool include but are not limited to
 files, directories, URLs, PDFs, Debian BTS, Debian buildd, Debian Policy,
 system manual pages, tldr manuals, Debian Developer References, command lines,
 Google search results, retrieval results (for retrieval-augmented generation),
 and more.
 .
 DebGPT supports various LLM service providers, either commercial or
 self-hosted, including OpenAI, Anthropic, Google Gemini, Ollama, LlamaFile,
 vLLM, and ZMQ (DebGPT's built-in backend to make it self-contained).
