## debgpt 0.7.2

=== debian/changelog ===
debgpt (0.7.2) unstable; urgency=medium

  * Release v0.7.2.

 -- Mo Zhou <lumin@debian.org>  Sat, 11 Jan 2025 09:31:27 -0500
