=== debian/control ===
Source: debgpt
Section: python
Homepage: https://salsa.debian.org/deeplearning-team/debgpt
Priority: optional
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/deeplearning-team/debgpt.git
Vcs-Browser: https://salsa.debian.org/deeplearning-team/debgpt
Maintainer: Debian Deep Learning Team <debian-ai@lists.debian.org>
Uploaders: Mo Zhou <lumin@debian.org>
Build-Depends: debhelper-compat (= 13),
 dh-python,
 pybuild-plugin-pyproject,
 python3-all,
 python3-openai,
 python3-rich,
 python3-prompt-toolkit,
 python3-requests,
 python3-bs4,
 python3-tenacity,
 python3-pygments,
 pandoc,
 python3-pytest <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-pytest-xdist <!nocheck>,

Package: debgpt
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Recommends: python3-zmq, git, tldr, man-db,
Suggests: python3-torch | python3-torch-cuda | python3-torch-rocm,
          python3-transformers,
Description: General Purpose Terminal LLM Tool with Some Debian-Specific Design
 DebGPT is a lightweight terminal tool designed for everyday use with Large
 Language Models (LLMs), aiming to explore their potential in aiding
 Debian/Linux development. The possible use cases include code generation,
 documentation writing, code editing, and more, far beyond the capabilities of
 traditional software.
 .
 To achieve that, DebGPT gathers relevant information from various sources like
 files, directories, and URLs, and compiles it into a prompt for the LLM.  It
 also supports Retrieval-Augmented Generation (RAG) using language embedding
 models. DebGPT supports a range of LLM service providers, both commercial and
 self-hosted, including OpenAI, Anthropic, Google Gemini, Ollama, LlamaFile,
 vLLM, and ZMQ (DebGPT's built-in backend for self-containment).
