## debgpt 0.7.4

=== debian/changelog ===
debgpt (0.7.4) unstable; urgency=medium

  * Build-Depends on python3-setuptools. (Closes: #1080577)

 -- Mo Zhou <lumin@debian.org>  Sun, 19 Jan 2025 13:53:24 -0500
