## debgpt 0.7.5

=== debian/changelog ===
debgpt (0.7.5) unstable; urgency=medium

  * Release v0.7.5.
    + New frontends for llama.cpp, DeepSeek, Nvidia-NIM.

 -- Mo Zhou <lumin@debian.org>  Mon, 03 Feb 2025 23:32:54 -0500
