## debgpt 0.7.6

=== Makefile ===
--- 
+++ 
@@ -10,11 +10,6 @@
 .PHONY: debgpt.1
 debgpt.1:
 	pandoc -s README.md -t man > $@
-
-autopep8:
-	@echo autopep8 is deprecated, use yapf instead
-	#find debgpt -type f -name '*.py' -exec autopep8 -i '{}' \;
-	$(MAKE) yapf
 
 yapf:
 	find debgpt -type f -name '*.py' -exec yapf -i '{}' \;
