=== debian/rules ===
--- 
+++ 
@@ -8,8 +8,10 @@
 	$(MAKE) debgpt.1
 
 override_dh_auto_test:
+	# The test is skipped because it requires network access.
 	true
 
 execute_after_dh_auto_install:
 	mkdir -p debian/debgpt/usr/share/doc/debgpt/
 	install -m0644 CHANGELOG.md debian/debgpt/usr/share/doc/debgpt/changelog-full.md
+
