## debgpt 0.7.7

=== debian/changelog ===
debgpt (0.7.7) unstable; urgency=medium

  * Release 0.7.7 for Trixie.

 -- Mo Zhou <lumin@debian.org>  Sat, 03 May 2025 20:55:26 -0400
