=== debian/control ===
--- 
+++ 
@@ -18,6 +18,7 @@
  python3-bs4,
  python3-tenacity,
  python3-pygments,
+ python3-setuptools,
  pandoc,
  python3-pytest <!nocheck>,
  python3-pytest-cov <!nocheck>,
